ifndef TV_FORMAT
$(error TV_FORMAT is not set!)
endif

CD_OUTPUT ?= $(TV_FORMAT)/$(ARTIFACT).bin

$(CD_OUTPUT): always
	@mkdir -p $(TV_FORMAT)
	psxcdgen_ex --list $(TV_FORMAT)/$(ARTIFACT).lba -o $(TV_FORMAT)/$(ARTIFACT) psx bin-cue Config.xml

all: $(CD_OUTPUT)

clean:
	rm -fr $(TV_FORMAT)/*.bin
	rm -fr $(TV_FORMAT)/*.cue
	rm -fr $(TV_FORMAT)/*.lba

always: ;